Z3 |

Public Member Functions | Friends
exception Class Reference

Exception used to sign API usage errors. More...

`#include <z3++.h>`

Inheritance diagram for exception:

## Public Member Functions
virtual | ~exception () throw ()
| exception (char const *msg)
char const * | msg () const
char const * | what () const throw ()

## Friends
std::ostream & | operator<< (std::ostream &out, exception const &e)

## Detailed Description

Exception used to sign API usage errors.

Definition at line 85 of file z3++.h.

## Constructor & Destructor Documentation

## ◆ ~exception()

virtual ~exception | ( |  | ) |
throw | ( |
| ) |  |
| inline virtual

Definition at line 88 of file z3++.h.

88{}

## ◆ exception()

exception | ( | char const * | msg | ) |
| inline

Definition at line 89 of file z3++.h.

89:m_msg(msg) {}
z3::exception::msg
char const * msg() const
Definition: z3++.h:90

## Member Function Documentation

## ◆ msg()

char const * msg | ( |  | ) | const
| inline

Definition at line 90 of file z3++.h.

90{ return m_msg.c_str(); }

## ◆ what()

char const * what | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Definition at line 91 of file z3++.h.

91{ return m_msg.c_str(); }

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | exception const & | e
| ) |  |
| friend

Definition at line 94 of file z3++.h.

94{ out << e.msg(); return out; }